/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 14:24:58
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-08-31 09:49:26
 * @FilePath: \Game-Backstage-Management-System\src\router\home.ts
 * @Description:
 *
 */

export default [
  {
    path: '/home',
    component: () => import('@/views/Home/HomeView.vue'),
    children: [
      {
        path: '',
        redirect: 'overView'
      },
      {
        path: 'overView',
        name: 'OverView',
        component: () => import('@/views/Home/Overview/OverView.vue'),
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'playerManageView',
        name: 'PlayerManageView',
        component: () => import('@/views/Home/InfoManage/PlayerManageView.vue'),
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'gameManageView',
        name: 'GameManageView',
        component: () => import('@/views/Home/InfoManage/GameManageView.vue'),
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'keepView',
        name: 'KeepView',
        component: () => import('@/views/Home/Analysis/KeepView.vue'),
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'userTrendView',
        name: 'UserTrendView',
        component: () => import('@/views/Home/Analysis/UserTrendView.vue'),
        meta: {
          needKeepAlive: true
        }
      }
    ]
  }
]
