/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-28 11:46:10
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-08-28 12:08:24
 * @FilePath: \Game-Backstage-Management-System\src\stores\useCommon.ts
 * @Description:通用的store，在多个页面均会使用
 *
 */
import { reactive } from 'vue'
import { defineStore } from 'pinia'

interface SelectInfo {
  gid: string
}

export const useCommonStore = defineStore('commonStore', () => {
  const selectInfo = reactive<SelectInfo>({
    gid: '1001'
  })
  return { selectInfo }
})
